| Bug#: 155969 | Product: Gentoo Linux | Version: unspecified | Platform: All |
| OS/Version: Linux | Status: RESOLVED | Severity: enhancement | Priority: P2 |
| Resolution: FIXED | Assigned To: java@gentoo.org | Reported By: farcaller@gmail.com | |
| Component: Ebuilds | |||
| URL: | |||
| Summary: dev-java/swt/swt-3.2.1 support XULRunner backend for SWT Browser | |||
| Keywords: | |||
| Status Whiteboard: | |||
| Opened: 2006-11-22 12:09 0000 | |||
| Description: | Opened: 2006-11-22 12:09 0000 |
I've tested eclipse 3.2.1 (not portage install) and swt 3.2.1 (portage). Both
work correctly with xulrunner 1.8.0.4
swt ebuild patch:
--- /usr/portage/dev-java/swt/swt-3.2.1.ebuild 2006-11-20 03:06:10.000000000
+0200
+++ swt-3.2.1.ebuild 2006-11-22 21:52:04.000000000 +0200
@@ -16,7 +16,7 @@
LICENSE="CPL-1.0 LGPL-2.1 MPL-1.1"
KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="cairo gnome seamonkey opengl"
+IUSE="cairo gnome seamonkey opengl xulrunner"
COMMON=">=dev-libs/glib-2.6
>=x11-libs/gtk+-2.6.8
>=dev-libs/atk-1.10.2
@@ -26,10 +26,16 @@
=gnome-base/gnome-vfs-2*
=gnome-base/libgnomeui-2*
)
- seamonkey? (
- >=www-client/seamonkey-1.0.2
- >=dev-libs/nspr-4.6.2
- )
+ || (
+ seamonkey? (
+ >=www-client/seamonkey-1.0.2
+ >=dev-libs/nspr-4.6.2
+ )
+ xulrunner? (
+ >=net-libs/xulrunner-1.8.0.4
+ >=dev-libs/nspr-4.6.2
+ )
+ )
opengl? (
virtual/opengl
virtual/glu
@@ -146,6 +152,19 @@
${make} make_mozilla || die "Failed to build Mozilla support"
fi
+ if use xulrunner ; then
+ export GECKO_SDK="$(pkg-config xulrunner-xpcom
--variable=libdir)"
+ export
GECKO_INCLUDES="-I/usr/$(get_libdir)/xulrunner/include/xpcom \
+
-I/usr/include/nspr \
+
-I/usr/$(get_libdir)/xulrunner/include/embed_base \
+
-I/usr/$(get_libdir)/xulrunner/include/string \
+
-I/usr/$(get_libdir)/xulrunner/include"
+ export GECKO_LIBS="-L${GECKO_SDK} -lgtkembedmoz"
+
+ einfo "Building the Mozilla component"
+ ${make} make_mozilla || die "Failed to build Mozilla support"
+ fi
+
if use cairo ; then
einfo "Building CAIRO support"
${make} make_cairo || die "Unable to build CAIRO support"
I'm not sure if xulrunner really requires nspr, also it requires
-I/usr/$(get_libdir)/xulrunner/include to be added (everything other is the
same as with seamonkey)
Please, don't inline patches, it kills formatting. Attach them.
dev-java/swt-3.2.2 can now be built against xulrunner. Let's see if it works on
other arches than x86 in bug #169456.
xulrunner support is there so closing. Please open a new bug if you have issues with it.